import { HttpError as BaseHttpError } from '@supercharge/errors';
export declare class HttpError extends BaseHttpError {
    /**
     * Returns a new HTTP error instance wrapping the given `error`.
     *
     * @param {Error} error
     *
     * @returns {HttpError}
     */
    static wrap(error: any): HttpError;
    /**
     * Retrieves an available status code from the error instance.
     * Falls back to HTTP status 500 if no status code is found.
     *
     * @param {Error} error
     *
     * @returns {Number}
     */
    private static retrieveStatusFrom;
}
